<!DOCTYPE html>
<html lang="no">
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta charset="UTF-8">
  <meta name="theme-color" content="#263238"/>
  <link rel="icon" type="image/png" href="/dist/favicon.png">
  <link rel="stylesheet" href="/css/main.css">
  
  <link rel="stylesheet" href="ui.css">
  <script type="text/javascript" src="./librespeed/speedtest.js"></script>
  <script type="text/javascript" src="ui.js"></script>
  <script type="text/javascript"></script>
</head>
<body class="theme-auto">

  <?php include "../common/header.html"; ?>

<div class="cont">
  <h1 class="center-txt">Nettverkstest</h1>
  <button id="startStopBtn" onclick="startStop()"></button>
  <div id="test">
  <div class="testGroup">
    <div class="testArea2">
      <div class="testName">Ping</div>
      <div id="pingText" class="meterText" style="color:#3949ab"></div>
      <div class="unit">ms</div>
    </div>
    <div class="testArea2">
      <div class="testName">Jitter</div>
      <div id="jitText" class="meterText" style="color:#3949ab"></div>
      <div class="unit">ms</div>
    </div>
  </div>
  <div class="testGroup">
  <div class="testArea">
  <div class="testName">Download</div>
  <canvas id="dlMeter" class="meter"></canvas>
  <div id="dlText" class="meterText"></div>
  <div class="unit">Mbps</div>
  </div>
  <div class="testArea">
  <div class="testName">Upload</div>
  <canvas id="ulMeter" class="meter"></canvas>
  <div id="ulText" class="meterText"></div>
  <div class="unit">Mbps</div>
  </div>
  </div>
  <div id="ipArea">
  <span id="ip"></span>
  </div>
</div>
<a href="https://github.com/librespeed/speedtest">Source code</a>

</div>
<script type="text/javascript">setTimeout(function(){initUI()},100);</script>
</body>
</html>
